IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network32.167.52.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
32.167.52.0- Broadcast address
32.167.55.255- First usable
32.167.52.1- Last usable
32.167.55.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
20A73400· Integer547828736to547829759 - Reverse DNS zones
52.167.32.in-addr.arpa53.167.32.in-addr.arpa54.167.32.in-addr.arpa55.167.32.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00100000.10100111.00110100.00000000 | 32.167.52.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00100000.10100111.00110100.00000000 | 32.167.52.0 |
| Broadcast | 00100000.10100111.00110111.11111111 | 32.167.55.255 |
Split into smaller subnets
32.167.52.0/22 makes 1,024 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 32.167.52.0/32 | 32.167.52.0 to 32.167.52.0 | — | 1 |
| 2 | 32.167.52.1/32 | 32.167.52.1 to 32.167.52.1 | — | 1 |
| 3 | 32.167.52.2/32 | 32.167.52.2 to 32.167.52.2 | — | 1 |
| 4 | 32.167.52.3/32 | 32.167.52.3 to 32.167.52.3 | — | 1 |
| 5 | 32.167.52.4/32 | 32.167.52.4 to 32.167.52.4 | — | 1 |
| 6 | 32.167.52.5/32 | 32.167.52.5 to 32.167.52.5 | — | 1 |
| 7 | 32.167.52.6/32 | 32.167.52.6 to 32.167.52.6 | — | 1 |
| 8 | 32.167.52.7/32 | 32.167.52.7 to 32.167.52.7 | — | 1 |
| 9 | 32.167.52.8/32 | 32.167.52.8 to 32.167.52.8 | — | 1 |
| 10 | 32.167.52.9/32 | 32.167.52.9 to 32.167.52.9 | — | 1 |
| 11 | 32.167.52.10/32 | 32.167.52.10 to 32.167.52.10 | — | 1 |
| 12 | 32.167.52.11/32 | 32.167.52.11 to 32.167.52.11 | — | 1 |
| 13 | 32.167.52.12/32 | 32.167.52.12 to 32.167.52.12 | — | 1 |
| 14 | 32.167.52.13/32 | 32.167.52.13 to 32.167.52.13 | — | 1 |
| 15 | 32.167.52.14/32 | 32.167.52.14 to 32.167.52.14 | — | 1 |
| 16 | 32.167.52.15/32 | 32.167.52.15 to 32.167.52.15 | — | 1 |
| 17 | 32.167.52.16/32 | 32.167.52.16 to 32.167.52.16 | — | 1 |
| 18 | 32.167.52.17/32 | 32.167.52.17 to 32.167.52.17 | — | 1 |
| 19 | 32.167.52.18/32 | 32.167.52.18 to 32.167.52.18 | — | 1 |
| 20 | 32.167.52.19/32 | 32.167.52.19 to 32.167.52.19 | — | 1 |
| 21 | 32.167.52.20/32 | 32.167.52.20 to 32.167.52.20 | — | 1 |
| 22 | 32.167.52.21/32 | 32.167.52.21 to 32.167.52.21 | — | 1 |
| 23 | 32.167.52.22/32 | 32.167.52.22 to 32.167.52.22 | — | 1 |
| 24 | 32.167.52.23/32 | 32.167.52.23 to 32.167.52.23 | — | 1 |
| 25 | 32.167.52.24/32 | 32.167.52.24 to 32.167.52.24 | — | 1 |
| 26 | 32.167.52.25/32 | 32.167.52.25 to 32.167.52.25 | — | 1 |
| 27 | 32.167.52.26/32 | 32.167.52.26 to 32.167.52.26 | — | 1 |
| 28 | 32.167.52.27/32 | 32.167.52.27 to 32.167.52.27 | — | 1 |
| 29 | 32.167.52.28/32 | 32.167.52.28 to 32.167.52.28 | — | 1 |
| 30 | 32.167.52.29/32 | 32.167.52.29 to 32.167.52.29 | — | 1 |
| 31 | 32.167.52.30/32 | 32.167.52.30 to 32.167.52.30 | — | 1 |
| 32 | 32.167.52.31/32 | 32.167.52.31 to 32.167.52.31 | — | 1 |
| 33 | 32.167.52.32/32 | 32.167.52.32 to 32.167.52.32 | — | 1 |
| 34 | 32.167.52.33/32 | 32.167.52.33 to 32.167.52.33 | — | 1 |
| 35 | 32.167.52.34/32 | 32.167.52.34 to 32.167.52.34 | — | 1 |
| 36 | 32.167.52.35/32 | 32.167.52.35 to 32.167.52.35 | — | 1 |
| 37 | 32.167.52.36/32 | 32.167.52.36 to 32.167.52.36 | — | 1 |
| 38 | 32.167.52.37/32 | 32.167.52.37 to 32.167.52.37 | — | 1 |
| 39 | 32.167.52.38/32 | 32.167.52.38 to 32.167.52.38 | — | 1 |
| 40 | 32.167.52.39/32 | 32.167.52.39 to 32.167.52.39 | — | 1 |
| 41 | 32.167.52.40/32 | 32.167.52.40 to 32.167.52.40 | — | 1 |
| 42 | 32.167.52.41/32 | 32.167.52.41 to 32.167.52.41 | — | 1 |
| 43 | 32.167.52.42/32 | 32.167.52.42 to 32.167.52.42 | — | 1 |
| 44 | 32.167.52.43/32 | 32.167.52.43 to 32.167.52.43 | — | 1 |
| 45 | 32.167.52.44/32 | 32.167.52.44 to 32.167.52.44 | — | 1 |
| 46 | 32.167.52.45/32 | 32.167.52.45 to 32.167.52.45 | — | 1 |
| 47 | 32.167.52.46/32 | 32.167.52.46 to 32.167.52.46 | — | 1 |
| 48 | 32.167.52.47/32 | 32.167.52.47 to 32.167.52.47 | — | 1 |
| 49 | 32.167.52.48/32 | 32.167.52.48 to 32.167.52.48 | — | 1 |
| 50 | 32.167.52.49/32 | 32.167.52.49 to 32.167.52.49 | — | 1 |
| 51 | 32.167.52.50/32 | 32.167.52.50 to 32.167.52.50 | — | 1 |
| 52 | 32.167.52.51/32 | 32.167.52.51 to 32.167.52.51 | — | 1 |
| 53 | 32.167.52.52/32 | 32.167.52.52 to 32.167.52.52 | — | 1 |
| 54 | 32.167.52.53/32 | 32.167.52.53 to 32.167.52.53 | — | 1 |
| 55 | 32.167.52.54/32 | 32.167.52.54 to 32.167.52.54 | — | 1 |
| 56 | 32.167.52.55/32 | 32.167.52.55 to 32.167.52.55 | — | 1 |
| 57 | 32.167.52.56/32 | 32.167.52.56 to 32.167.52.56 | — | 1 |
| 58 | 32.167.52.57/32 | 32.167.52.57 to 32.167.52.57 | — | 1 |
| 59 | 32.167.52.58/32 | 32.167.52.58 to 32.167.52.58 | — | 1 |
| 60 | 32.167.52.59/32 | 32.167.52.59 to 32.167.52.59 | — | 1 |
| 61 | 32.167.52.60/32 | 32.167.52.60 to 32.167.52.60 | — | 1 |
| 62 | 32.167.52.61/32 | 32.167.52.61 to 32.167.52.61 | — | 1 |
| 63 | 32.167.52.62/32 | 32.167.52.62 to 32.167.52.62 | — | 1 |
| 64 | 32.167.52.63/32 | 32.167.52.63 to 32.167.52.63 | — | 1 |
| 65 | 32.167.52.64/32 | 32.167.52.64 to 32.167.52.64 | — | 1 |
| 66 | 32.167.52.65/32 | 32.167.52.65 to 32.167.52.65 | — | 1 |
| 67 | 32.167.52.66/32 | 32.167.52.66 to 32.167.52.66 | — | 1 |
| 68 | 32.167.52.67/32 | 32.167.52.67 to 32.167.52.67 | — | 1 |
| 69 | 32.167.52.68/32 | 32.167.52.68 to 32.167.52.68 | — | 1 |
| 70 | 32.167.52.69/32 | 32.167.52.69 to 32.167.52.69 | — | 1 |
| 71 | 32.167.52.70/32 | 32.167.52.70 to 32.167.52.70 | — | 1 |
| 72 | 32.167.52.71/32 | 32.167.52.71 to 32.167.52.71 | — | 1 |
| 73 | 32.167.52.72/32 | 32.167.52.72 to 32.167.52.72 | — | 1 |
| 74 | 32.167.52.73/32 | 32.167.52.73 to 32.167.52.73 | — | 1 |
| 75 | 32.167.52.74/32 | 32.167.52.74 to 32.167.52.74 | — | 1 |
| 76 | 32.167.52.75/32 | 32.167.52.75 to 32.167.52.75 | — | 1 |
| 77 | 32.167.52.76/32 | 32.167.52.76 to 32.167.52.76 | — | 1 |
| 78 | 32.167.52.77/32 | 32.167.52.77 to 32.167.52.77 | — | 1 |
| 79 | 32.167.52.78/32 | 32.167.52.78 to 32.167.52.78 | — | 1 |
| 80 | 32.167.52.79/32 | 32.167.52.79 to 32.167.52.79 | — | 1 |
| 81 | 32.167.52.80/32 | 32.167.52.80 to 32.167.52.80 | — | 1 |
| 82 | 32.167.52.81/32 | 32.167.52.81 to 32.167.52.81 | — | 1 |
| 83 | 32.167.52.82/32 | 32.167.52.82 to 32.167.52.82 | — | 1 |
| 84 | 32.167.52.83/32 | 32.167.52.83 to 32.167.52.83 | — | 1 |
| 85 | 32.167.52.84/32 | 32.167.52.84 to 32.167.52.84 | — | 1 |
| 86 | 32.167.52.85/32 | 32.167.52.85 to 32.167.52.85 | — | 1 |
| 87 | 32.167.52.86/32 | 32.167.52.86 to 32.167.52.86 | — | 1 |
| 88 | 32.167.52.87/32 | 32.167.52.87 to 32.167.52.87 | — | 1 |
| 89 | 32.167.52.88/32 | 32.167.52.88 to 32.167.52.88 | — | 1 |
| 90 | 32.167.52.89/32 | 32.167.52.89 to 32.167.52.89 | — | 1 |
| 91 | 32.167.52.90/32 | 32.167.52.90 to 32.167.52.90 | — | 1 |
| 92 | 32.167.52.91/32 | 32.167.52.91 to 32.167.52.91 | — | 1 |
| 93 | 32.167.52.92/32 | 32.167.52.92 to 32.167.52.92 | — | 1 |
| 94 | 32.167.52.93/32 | 32.167.52.93 to 32.167.52.93 | — | 1 |
| 95 | 32.167.52.94/32 | 32.167.52.94 to 32.167.52.94 | — | 1 |
| 96 | 32.167.52.95/32 | 32.167.52.95 to 32.167.52.95 | — | 1 |
| 97 | 32.167.52.96/32 | 32.167.52.96 to 32.167.52.96 | — | 1 |
| 98 | 32.167.52.97/32 | 32.167.52.97 to 32.167.52.97 | — | 1 |
| 99 | 32.167.52.98/32 | 32.167.52.98 to 32.167.52.98 | — | 1 |
| 100 | 32.167.52.99/32 | 32.167.52.99 to 32.167.52.99 | — | 1 |
| 101 | 32.167.52.100/32 | 32.167.52.100 to 32.167.52.100 | — | 1 |
| 102 | 32.167.52.101/32 | 32.167.52.101 to 32.167.52.101 | — | 1 |
| 103 | 32.167.52.102/32 | 32.167.52.102 to 32.167.52.102 | — | 1 |
| 104 | 32.167.52.103/32 | 32.167.52.103 to 32.167.52.103 | — | 1 |
| 105 | 32.167.52.104/32 | 32.167.52.104 to 32.167.52.104 | — | 1 |
| 106 | 32.167.52.105/32 | 32.167.52.105 to 32.167.52.105 | — | 1 |
| 107 | 32.167.52.106/32 | 32.167.52.106 to 32.167.52.106 | — | 1 |
| 108 | 32.167.52.107/32 | 32.167.52.107 to 32.167.52.107 | — | 1 |
| 109 | 32.167.52.108/32 | 32.167.52.108 to 32.167.52.108 | — | 1 |
| 110 | 32.167.52.109/32 | 32.167.52.109 to 32.167.52.109 | — | 1 |
| 111 | 32.167.52.110/32 | 32.167.52.110 to 32.167.52.110 | — | 1 |
| 112 | 32.167.52.111/32 | 32.167.52.111 to 32.167.52.111 | — | 1 |
| 113 | 32.167.52.112/32 | 32.167.52.112 to 32.167.52.112 | — | 1 |
| 114 | 32.167.52.113/32 | 32.167.52.113 to 32.167.52.113 | — | 1 |
| 115 | 32.167.52.114/32 | 32.167.52.114 to 32.167.52.114 | — | 1 |
| 116 | 32.167.52.115/32 | 32.167.52.115 to 32.167.52.115 | — | 1 |
| 117 | 32.167.52.116/32 | 32.167.52.116 to 32.167.52.116 | — | 1 |
| 118 | 32.167.52.117/32 | 32.167.52.117 to 32.167.52.117 | — | 1 |
| 119 | 32.167.52.118/32 | 32.167.52.118 to 32.167.52.118 | — | 1 |
| 120 | 32.167.52.119/32 | 32.167.52.119 to 32.167.52.119 | — | 1 |
| 121 | 32.167.52.120/32 | 32.167.52.120 to 32.167.52.120 | — | 1 |
| 122 | 32.167.52.121/32 | 32.167.52.121 to 32.167.52.121 | — | 1 |
| 123 | 32.167.52.122/32 | 32.167.52.122 to 32.167.52.122 | — | 1 |
| 124 | 32.167.52.123/32 | 32.167.52.123 to 32.167.52.123 | — | 1 |
| 125 | 32.167.52.124/32 | 32.167.52.124 to 32.167.52.124 | — | 1 |
| 126 | 32.167.52.125/32 | 32.167.52.125 to 32.167.52.125 | — | 1 |
| 127 | 32.167.52.126/32 | 32.167.52.126 to 32.167.52.126 | — | 1 |
| 128 | 32.167.52.127/32 | 32.167.52.127 to 32.167.52.127 | — | 1 |
| 129 | 32.167.52.128/32 | 32.167.52.128 to 32.167.52.128 | — | 1 |
| 130 | 32.167.52.129/32 | 32.167.52.129 to 32.167.52.129 | — | 1 |
| 131 | 32.167.52.130/32 | 32.167.52.130 to 32.167.52.130 | — | 1 |
| 132 | 32.167.52.131/32 | 32.167.52.131 to 32.167.52.131 | — | 1 |
| 133 | 32.167.52.132/32 | 32.167.52.132 to 32.167.52.132 | — | 1 |
| 134 | 32.167.52.133/32 | 32.167.52.133 to 32.167.52.133 | — | 1 |
| 135 | 32.167.52.134/32 | 32.167.52.134 to 32.167.52.134 | — | 1 |
| 136 | 32.167.52.135/32 | 32.167.52.135 to 32.167.52.135 | — | 1 |
| 137 | 32.167.52.136/32 | 32.167.52.136 to 32.167.52.136 | — | 1 |
| 138 | 32.167.52.137/32 | 32.167.52.137 to 32.167.52.137 | — | 1 |
| 139 | 32.167.52.138/32 | 32.167.52.138 to 32.167.52.138 | — | 1 |
| 140 | 32.167.52.139/32 | 32.167.52.139 to 32.167.52.139 | — | 1 |
| 141 | 32.167.52.140/32 | 32.167.52.140 to 32.167.52.140 | — | 1 |
| 142 | 32.167.52.141/32 | 32.167.52.141 to 32.167.52.141 | — | 1 |
| 143 | 32.167.52.142/32 | 32.167.52.142 to 32.167.52.142 | — | 1 |
| 144 | 32.167.52.143/32 | 32.167.52.143 to 32.167.52.143 | — | 1 |
| 145 | 32.167.52.144/32 | 32.167.52.144 to 32.167.52.144 | — | 1 |
| 146 | 32.167.52.145/32 | 32.167.52.145 to 32.167.52.145 | — | 1 |
| 147 | 32.167.52.146/32 | 32.167.52.146 to 32.167.52.146 | — | 1 |
| 148 | 32.167.52.147/32 | 32.167.52.147 to 32.167.52.147 | — | 1 |
| 149 | 32.167.52.148/32 | 32.167.52.148 to 32.167.52.148 | — | 1 |
| 150 | 32.167.52.149/32 | 32.167.52.149 to 32.167.52.149 | — | 1 |
| 151 | 32.167.52.150/32 | 32.167.52.150 to 32.167.52.150 | — | 1 |
| 152 | 32.167.52.151/32 | 32.167.52.151 to 32.167.52.151 | — | 1 |
| 153 | 32.167.52.152/32 | 32.167.52.152 to 32.167.52.152 | — | 1 |
| 154 | 32.167.52.153/32 | 32.167.52.153 to 32.167.52.153 | — | 1 |
| 155 | 32.167.52.154/32 | 32.167.52.154 to 32.167.52.154 | — | 1 |
| 156 | 32.167.52.155/32 | 32.167.52.155 to 32.167.52.155 | — | 1 |
| 157 | 32.167.52.156/32 | 32.167.52.156 to 32.167.52.156 | — | 1 |
| 158 | 32.167.52.157/32 | 32.167.52.157 to 32.167.52.157 | — | 1 |
| 159 | 32.167.52.158/32 | 32.167.52.158 to 32.167.52.158 | — | 1 |
| 160 | 32.167.52.159/32 | 32.167.52.159 to 32.167.52.159 | — | 1 |
| 161 | 32.167.52.160/32 | 32.167.52.160 to 32.167.52.160 | — | 1 |
| 162 | 32.167.52.161/32 | 32.167.52.161 to 32.167.52.161 | — | 1 |
| 163 | 32.167.52.162/32 | 32.167.52.162 to 32.167.52.162 | — | 1 |
| 164 | 32.167.52.163/32 | 32.167.52.163 to 32.167.52.163 | — | 1 |
| 165 | 32.167.52.164/32 | 32.167.52.164 to 32.167.52.164 | — | 1 |
| 166 | 32.167.52.165/32 | 32.167.52.165 to 32.167.52.165 | — | 1 |
| 167 | 32.167.52.166/32 | 32.167.52.166 to 32.167.52.166 | — | 1 |
| 168 | 32.167.52.167/32 | 32.167.52.167 to 32.167.52.167 | — | 1 |
| 169 | 32.167.52.168/32 | 32.167.52.168 to 32.167.52.168 | — | 1 |
| 170 | 32.167.52.169/32 | 32.167.52.169 to 32.167.52.169 | — | 1 |
| 171 | 32.167.52.170/32 | 32.167.52.170 to 32.167.52.170 | — | 1 |
| 172 | 32.167.52.171/32 | 32.167.52.171 to 32.167.52.171 | — | 1 |
| 173 | 32.167.52.172/32 | 32.167.52.172 to 32.167.52.172 | — | 1 |
| 174 | 32.167.52.173/32 | 32.167.52.173 to 32.167.52.173 | — | 1 |
| 175 | 32.167.52.174/32 | 32.167.52.174 to 32.167.52.174 | — | 1 |
| 176 | 32.167.52.175/32 | 32.167.52.175 to 32.167.52.175 | — | 1 |
| 177 | 32.167.52.176/32 | 32.167.52.176 to 32.167.52.176 | — | 1 |
| 178 | 32.167.52.177/32 | 32.167.52.177 to 32.167.52.177 | — | 1 |
| 179 | 32.167.52.178/32 | 32.167.52.178 to 32.167.52.178 | — | 1 |
| 180 | 32.167.52.179/32 | 32.167.52.179 to 32.167.52.179 | — | 1 |
| 181 | 32.167.52.180/32 | 32.167.52.180 to 32.167.52.180 | — | 1 |
| 182 | 32.167.52.181/32 | 32.167.52.181 to 32.167.52.181 | — | 1 |
| 183 | 32.167.52.182/32 | 32.167.52.182 to 32.167.52.182 | — | 1 |
| 184 | 32.167.52.183/32 | 32.167.52.183 to 32.167.52.183 | — | 1 |
| 185 | 32.167.52.184/32 | 32.167.52.184 to 32.167.52.184 | — | 1 |
| 186 | 32.167.52.185/32 | 32.167.52.185 to 32.167.52.185 | — | 1 |
| 187 | 32.167.52.186/32 | 32.167.52.186 to 32.167.52.186 | — | 1 |
| 188 | 32.167.52.187/32 | 32.167.52.187 to 32.167.52.187 | — | 1 |
| 189 | 32.167.52.188/32 | 32.167.52.188 to 32.167.52.188 | — | 1 |
| 190 | 32.167.52.189/32 | 32.167.52.189 to 32.167.52.189 | — | 1 |
| 191 | 32.167.52.190/32 | 32.167.52.190 to 32.167.52.190 | — | 1 |
| 192 | 32.167.52.191/32 | 32.167.52.191 to 32.167.52.191 | — | 1 |
| 193 | 32.167.52.192/32 | 32.167.52.192 to 32.167.52.192 | — | 1 |
| 194 | 32.167.52.193/32 | 32.167.52.193 to 32.167.52.193 | — | 1 |
| 195 | 32.167.52.194/32 | 32.167.52.194 to 32.167.52.194 | — | 1 |
| 196 | 32.167.52.195/32 | 32.167.52.195 to 32.167.52.195 | — | 1 |
| 197 | 32.167.52.196/32 | 32.167.52.196 to 32.167.52.196 | — | 1 |
| 198 | 32.167.52.197/32 | 32.167.52.197 to 32.167.52.197 | — | 1 |
| 199 | 32.167.52.198/32 | 32.167.52.198 to 32.167.52.198 | — | 1 |
| 200 | 32.167.52.199/32 | 32.167.52.199 to 32.167.52.199 | — | 1 |
| 201 | 32.167.52.200/32 | 32.167.52.200 to 32.167.52.200 | — | 1 |
| 202 | 32.167.52.201/32 | 32.167.52.201 to 32.167.52.201 | — | 1 |
| 203 | 32.167.52.202/32 | 32.167.52.202 to 32.167.52.202 | — | 1 |
| 204 | 32.167.52.203/32 | 32.167.52.203 to 32.167.52.203 | — | 1 |
| 205 | 32.167.52.204/32 | 32.167.52.204 to 32.167.52.204 | — | 1 |
| 206 | 32.167.52.205/32 | 32.167.52.205 to 32.167.52.205 | — | 1 |
| 207 | 32.167.52.206/32 | 32.167.52.206 to 32.167.52.206 | — | 1 |
| 208 | 32.167.52.207/32 | 32.167.52.207 to 32.167.52.207 | — | 1 |
| 209 | 32.167.52.208/32 | 32.167.52.208 to 32.167.52.208 | — | 1 |
| 210 | 32.167.52.209/32 | 32.167.52.209 to 32.167.52.209 | — | 1 |
| 211 | 32.167.52.210/32 | 32.167.52.210 to 32.167.52.210 | — | 1 |
| 212 | 32.167.52.211/32 | 32.167.52.211 to 32.167.52.211 | — | 1 |
| 213 | 32.167.52.212/32 | 32.167.52.212 to 32.167.52.212 | — | 1 |
| 214 | 32.167.52.213/32 | 32.167.52.213 to 32.167.52.213 | — | 1 |
| 215 | 32.167.52.214/32 | 32.167.52.214 to 32.167.52.214 | — | 1 |
| 216 | 32.167.52.215/32 | 32.167.52.215 to 32.167.52.215 | — | 1 |
| 217 | 32.167.52.216/32 | 32.167.52.216 to 32.167.52.216 | — | 1 |
| 218 | 32.167.52.217/32 | 32.167.52.217 to 32.167.52.217 | — | 1 |
| 219 | 32.167.52.218/32 | 32.167.52.218 to 32.167.52.218 | — | 1 |
| 220 | 32.167.52.219/32 | 32.167.52.219 to 32.167.52.219 | — | 1 |
| 221 | 32.167.52.220/32 | 32.167.52.220 to 32.167.52.220 | — | 1 |
| 222 | 32.167.52.221/32 | 32.167.52.221 to 32.167.52.221 | — | 1 |
| 223 | 32.167.52.222/32 | 32.167.52.222 to 32.167.52.222 | — | 1 |
| 224 | 32.167.52.223/32 | 32.167.52.223 to 32.167.52.223 | — | 1 |
| 225 | 32.167.52.224/32 | 32.167.52.224 to 32.167.52.224 | — | 1 |
| 226 | 32.167.52.225/32 | 32.167.52.225 to 32.167.52.225 | — | 1 |
| 227 | 32.167.52.226/32 | 32.167.52.226 to 32.167.52.226 | — | 1 |
| 228 | 32.167.52.227/32 | 32.167.52.227 to 32.167.52.227 | — | 1 |
| 229 | 32.167.52.228/32 | 32.167.52.228 to 32.167.52.228 | — | 1 |
| 230 | 32.167.52.229/32 | 32.167.52.229 to 32.167.52.229 | — | 1 |
| 231 | 32.167.52.230/32 | 32.167.52.230 to 32.167.52.230 | — | 1 |
| 232 | 32.167.52.231/32 | 32.167.52.231 to 32.167.52.231 | — | 1 |
| 233 | 32.167.52.232/32 | 32.167.52.232 to 32.167.52.232 | — | 1 |
| 234 | 32.167.52.233/32 | 32.167.52.233 to 32.167.52.233 | — | 1 |
| 235 | 32.167.52.234/32 | 32.167.52.234 to 32.167.52.234 | — | 1 |
| 236 | 32.167.52.235/32 | 32.167.52.235 to 32.167.52.235 | — | 1 |
| 237 | 32.167.52.236/32 | 32.167.52.236 to 32.167.52.236 | — | 1 |
| 238 | 32.167.52.237/32 | 32.167.52.237 to 32.167.52.237 | — | 1 |
| 239 | 32.167.52.238/32 | 32.167.52.238 to 32.167.52.238 | — | 1 |
| 240 | 32.167.52.239/32 | 32.167.52.239 to 32.167.52.239 | — | 1 |
| 241 | 32.167.52.240/32 | 32.167.52.240 to 32.167.52.240 | — | 1 |
| 242 | 32.167.52.241/32 | 32.167.52.241 to 32.167.52.241 | — | 1 |
| 243 | 32.167.52.242/32 | 32.167.52.242 to 32.167.52.242 | — | 1 |
| 244 | 32.167.52.243/32 | 32.167.52.243 to 32.167.52.243 | — | 1 |
| 245 | 32.167.52.244/32 | 32.167.52.244 to 32.167.52.244 | — | 1 |
| 246 | 32.167.52.245/32 | 32.167.52.245 to 32.167.52.245 | — | 1 |
| 247 | 32.167.52.246/32 | 32.167.52.246 to 32.167.52.246 | — | 1 |
| 248 | 32.167.52.247/32 | 32.167.52.247 to 32.167.52.247 | — | 1 |
| 249 | 32.167.52.248/32 | 32.167.52.248 to 32.167.52.248 | — | 1 |
| 250 | 32.167.52.249/32 | 32.167.52.249 to 32.167.52.249 | — | 1 |
| 251 | 32.167.52.250/32 | 32.167.52.250 to 32.167.52.250 | — | 1 |
| 252 | 32.167.52.251/32 | 32.167.52.251 to 32.167.52.251 | — | 1 |
| 253 | 32.167.52.252/32 | 32.167.52.252 to 32.167.52.252 | — | 1 |
| 254 | 32.167.52.253/32 | 32.167.52.253 to 32.167.52.253 | — | 1 |
| 255 | 32.167.52.254/32 | 32.167.52.254 to 32.167.52.254 | — | 1 |
| 256 | 32.167.52.255/32 | 32.167.52.255 to 32.167.52.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |